USB_DEREGISTER(9)

NAME
usb_deregister - unregister a USB interface driver

SYNOPSIS

void usb_deregister(struct usb_driver * driver);

ARGUMENTS

driver
    USB operations of the interface driver to unregister

CONTEXT

must be able to sleep

DESCRIPTION

Unlinks the specified driver from the internal USB driver list.

NOTE

If you called usb_register_dev, you still need to call usb_deregister_dev to clean up your driver's allocated minor numbers, this * call will no longer do it for you.

COPYRIGHT